Name:           perl-MogileFS-Client
Version:        1.08
Release:        6%{?dist}
Summary:        Client library for the MogileFS distributed file system
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/~bradfitz/MogileFS-Client/
Source0:        http://www.cpan.org/authors/id/B/BR/BRADFITZ/MogileFS-Client-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl(IO::WrapTie)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is a client library for the MogileFS distributed file system.
The class method 'new' creates a client object against a particular
mogilefs tracker and domain. This object may then be used to store and
retrieve content easily from MogileFS.

%prep
%setup -q -n MogileFS-Client-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
rm t/10-basics.t
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.08-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.08-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.08-2
- rebuild for new perl

* Thu Aug 09 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.08-1
- Upstream released new version
* Wed Jun 20 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.07-2
- Incorporate suggestions from tibbs in review #240699:
- Remove test which does nothing without a mogilefs server
- Change URL to cpan site
* Sun May 20 2007 Ruben Kerkhof <ruben@rubenkerkhof.com> 1.07-1
- Initial import

